Skip to content
Dashboard
Theme
Theme

Retrieve a directory group

GET /v1/directory_groups/{group}: Retrieve a directory group.

View Markdown

GET /v1/directory_groups/{group}

Scope
directory_data:read
Auth
Secret key (sk_…)
Since
1.0
  • group string Required

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/directory_groups/dgrp_01J9Z3K5V7W8X9Y0Z1A2B3C4D5" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"id": "dgrp_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "directory_group",
"legacy_ids": {
"workos": "org_01H8ZQ4M7K2X8V3N5B6C1D0E9F"
},
"directory_id": "dir_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"idp_id": "0oa1b2c3d4E5F6g7h8i9",
"name": "Acme Corp",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z"
}